## xchain 1.0.1

=== Makefile ===
DESTDIR = /
# This is so dpkg-buildpackage can build in the correct dir

CC=gcc
CFLAGS=-O2 -Wall

OBJS=		xchain.o

.c.o:
		$(CC) -c $(CFLAGS) $<

all:		xchain

chain:	$(OBJS)
		$(CC) -o xchain $(CFLAGS) $(OBJS)
		chmod 0755 xchain

install:	xchain
		./install.sh $(DESTDIR)

clean:
		rm -f *.o *~ core *.bak ./xchain ./build

=== debian/changelog ===
xchain (1.0.1-6) unstable; urgency=low

  * QA upload
  * change to format "3.0 (quilt)"
  * modernize debian/rules
  - switch debhelper compatibility to 7
  - add build-arch, build-indep
  - store xchain.menu in debian/
  - use dpkg-buildflags
  * store copyright in debian/
  * install files using dh_install instead of patched Makefile
  * drop changes outside debian/ no longer needed
  * remove unneeded debian/post{rm,inst}
  * bump Standards-Version
  * fix lintian's description-synopsis-starts-with-article
  * add ${misc:Depends}
  * increase default tk dependency
  * xchain.c: fix printf format error
  * add VCS- headers (uploaded to collab-maint)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 20 Sep 2011 18:05:57 +0200

xchain (1.0.1-5) unstable; urgency=low

  * debian/control: s/it's/its/.  "It's" is the shorthand of "it is" or
    "it has".  "Its" is the possessive case of "it".  (closes: #268550)
  * debian/menu: correctly quoted strings

 -- Oohara Yuuma <oohara@debian.org>  Sat, 28 Aug 2004 21:02:32 +0900

xchain (1.0.1-4) unstable; urgency=low

  * debian/control: added Source: (closes: #223227)
  * debian/xchain.6: new file, added NAME section and fixed .TH line

 -- Oohara Yuuma <oohara@debian.org>  Sun,  7 Dec 2003 21:33:46 +0900

xchain (1.0.1-3) unstable; urgency=low

  * debian/control: set Priority: to extra (I don't know why xchain should
    be extra, but I don't care)

 -- Oohara Yuuma <oohara@debian.org>  Wed, 17 Apr 2002 10:21:37 +0900

xchain (1.0.1-2) unstable; urgency=low

  * new maintainer
  * adopting an orphanrd package (closes: #141807)
  * Uploading .orig.tar.gz as well.  As the version number indicates, this
    is not a Debian specific, but it was packaged as a Debian native package.
    Since the upstream webpage disappeared and potato does not have
    .orig.tar.gz, let's assume .tar.gz of the potato version (1.0.1-1)
    is the upstream tarball of the version 1.0.1 .
  * debian/control, debian/rules: using debhelper instead of debmake
  * Makefile: fixed typo of the target name
  * Makefile: added DEB_BUILD_OPTIONS "debug" and "nostrip" support
  * debian/control: dropped tcl8.0-dev and tk8.0-dev because they are not
    necessary (every access to tcl/tk is done by forking wish)
  * debian/control: using ${shlibs:Depends} and wish for Depends:
  * debian/postinst, debian/postrm: added #DEBHELPER#
  * debian/changelog: removed add-log-mailing-address:
  * xchain.c: added braces to avoid gcc -Wall warning
  * debian/control: set Standards-Version: to 3.5.6

 -- Oohara Yuuma <oohara@debian.org>  Wed, 17 Apr 2002 09:48:48 +0900

xchain (1.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's consent.
  * Changed maintainer address (by request) to ac@gnu.org.
  * Move to /usr/share/doc and /usr/share/man, including build-depending on
    a recent debmake (closes: #91094, #91718).
  * Updated to a policy version where build dependencies are defined. Added
    appropriate build-deps on Tcl/Tk 8.0 to avoid causing more bugs than I
    solve.
  * Use dpkg-gencontrol -isp.
  * Fix GPL pointer in copyright file.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Jun 2001 16:09:54 +0100

xchain (1.0.1-1) unstable; urgency=low

  * Fixed bug where end of game was sometimes not detected.
  * Changed my address. See README.

 -- Alistair Cunningham <ac212@cam.ac.uk>  Sat, 20 Jun 1998 21:23:00 +0100
	

xchain (1.0-2) unstable; urgency=low

  * Rewrote install script:
   + Abandoned using /usr/bin/install, now using shell script.
   + Added option not to gzip man page.
  * Got rid of C++ style comments.
  * Added reference to http://thor.cam.ac.uk/~ac212/xchain/

 -- Alistair Cunningham <ac212@cam.ac.uk>  Tue, 24 Feb 1998 21:18:00 +0000

xchain (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Alistair Cunningham <ac212@cam.ac.uk>  Sat, 21 Feb 1998 18:48:24 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xchain
Section: games
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7)
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/xchain.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xchain.git

Package: xchain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk8.5 | wish
Description: strategy game for 2-4 players
 Chain Reaction is a classic strategy game for 2-4 players. Players take turns
 to place tokens on an 8x8 board. When a square exceeds its maximum value, it
 explodes, setting off the surrounding squares.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS              := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CFLAGS  += -Wall

build: build-arch build-indep
build-indep:
build-arch: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS='$(CPPFLAGS) $(CFLAGS)' xchain.o
	$(MAKE) CFLAGS='$(CFLAGS) $(LDFLAGS)' xchain
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

binary-indep:

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_install
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installman debian/xchain.6
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
# No upstream location known
